org.modeshape.jcr.api.query.qom

## Enum Operator

- java.lang.Object
- - java.lang.Enum<Operator>
  - - org.modeshape.jcr.api.query.qom.Operator

- All Implemented Interfaces:
    Serializable, Comparable<Operator>

      public enum Operator
      extends Enum<Operator>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EQUAL_TO`
    `GREATER_THAN`
    `GREATER_THAN_OR_EQUAL_TO`
    `LESS_THAN`
    `LESS_THAN_OR_EQUAL_TO`
    `LIKE`
    `NOT_EQUAL_TO`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Operator` | `forSymbol(String symbol)` Attempt to find the Operator given a symbol.
    `boolean` | `isRangeOperator()` Determine whether this operator is one that is used to define a range of values: `<`, `>`, `<=`, or `>=`.
    `Operator` | `not()` Get the NOT of this operator.
    `Operator` | `reverse()` Get the equivalent operator if the operands are to be reversed.
    `String` | `symbol()` Get the symbol for this operator
    `String` | `toString()`
    `static Operator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Operator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUAL_TO

          public static final Operator EQUAL_TO

    - #### NOT_EQUAL_TO

          public static final Operator NOT_EQUAL_TO

    - #### LESS_THAN

          public static final Operator LESS_THAN

    - #### LESS_THAN_OR_EQUAL_TO

          public static final Operator LESS_THAN_OR_EQUAL_TO

    - #### GREATER_THAN

          public static final Operator GREATER_THAN

    - #### GREATER_THAN_OR_EQUAL_TO

          public static final Operator GREATER_THAN_OR_EQUAL_TO

    - #### LIKE

          public static final Operator LIKE

  - ### Method Detail

    - #### values

          public static Operator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Operator c : Operator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Operator valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### symbol

          public String symbol()

      Get the symbol for this operator
      Returns:
        the symbolic representation; never null

    - #### reverse

          public Operator reverse()

      Get the equivalent operator if the operands are to be reversed.
      Returns:
        the reverse operator; never null

    - #### not

          public Operator not()

      Get the NOT of this operator.
      Returns:
        the operator after a NOT operation; never null

    - #### isRangeOperator

          public boolean isRangeOperator()

      Determine whether this operator is one that is used to define a range of values: `<`, `>`, `<=`, or `>=`.
      Returns:
        true if this operator is a range operator, or false otherwise

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Operator>`
      See Also:
        `Enum.toString()`

    - #### forSymbol

          public static Operator forSymbol(String symbol)

      Attempt to find the Operator given a symbol. The matching is done independent of case.
      Parameters:
        `symbol` - the symbol
      Returns:
        the Operator having the supplied symbol, or null if there is no Operator with the supplied symbol
      Throws:
        `IllegalArgumentException` - if the symbol is null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.